"
 COPYRIGHT (c) 1994 by Claus Gittinger
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

SelfNode subclass:#SuperNode
       instanceVariableNames:'class'
       classVariableNames:''
       poolDictionaries:''
       category:'System-Compiler-Support'
!

SuperNode comment:'

COPYRIGHT (c) 1994 by Claus Gittinger
             All Rights Reserved

$Header: /cvs/stx/stx/libcomp/SuperNode.st,v 1.1 1994-01-17 09:14:05 claus Exp $
written 94 by claus
'!

!SuperNode class methodsFor:'instance creation'!

value:val inClass:cls 
    ^ (self basicNew) value:val inClass:cls
! !

!SuperNode methodsFor:'accessing'!

value:val inClass:cls
    type := #Super.
    value := val.
    class := cls
!

definingClass
    ^ class
! !

!SuperNode methodsFor:'queries'!

isSuper
    "return true, if this is a super-node"

    ^ true
! !

!SuperNode methodsFor:'printing'!

printOn:aStream indent:i
    aStream nextPutAll:'super'
! !
